## tercpp 0.6.2%2Bsvn46

=== debian/changelog ===
tercpp (0.6.2+svn46-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:36:20 +0100

tercpp (0.6.2+svn46-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Use secure copyright file specification URI.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Jun 2024 09:52:00 +0200

tercpp (0.6.2+svn46-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Fix reproducible build by adding
    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to a dh_auto_configure override.
  * debian/control: Update Priority to "optional".
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Use dpkg pkg-info.mk to determine package and version.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 14 Nov 2022 23:17:04 -0800

tercpp (0.6.2+svn46-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #864587)

 -- Marcos Talau <talau@debian.org>  Thu, 10 Nov 2022 06:30:17 -0300

tercpp (0.6.2+svn46-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791299).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:55:26 +0200

tercpp (0.6.2+svn46-1) unstable; urgency=low

  * New upstream revision
   - license has been changed to LGPL-3+ and written clearly
  * debian/copyright
   - follow the upstream
  * debian/101_fix-error.patch
   - imported to upstream
  * debian/rules
   - modify get-orig-source to download codes from the svn repository
  * debian/control
   - fix package descriptions (Closes: #736924)
  * debian/tercpp.docs
   - install an HTML documentation

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Wed, 29 Jan 2014 22:00:09 +0900

tercpp (0.6.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #735441)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 24 Jan 2014 21:10:18 +0900

## tercpp 0.6.2+svn46

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(tercpp)

#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)
#SET( CMAKE_CXX_FLAGS " -Wno-deprecated " CACHE STRING "Flags used by the C++ compiler" FORCE )
#add_definitions(-DCMAKE_INSTALL_PREFIX=YOUR INSTALL DIR HERE!!!)
add_definitions(-DIBPP_LINUX -DIBPP_GCC)
# include_directories(YOUR INCLUDE DIR HERE!!!)
# link_directories(YOUR LIB DIR HERE!!!)

#add definitions, compiler switches, etc.
ADD_DEFINITIONS(-Wall -O2)

#list all source files here
add_subdirectory(src)
add_subdirectory(test)

#ADD_EXECUTABLE(tercpp main.cpp)

#install(TARGETS tercpp DESTINATION bin)

#need to link to some other libraries ? just add them here
#TARGET_LINK_LIBRARIES(tercpp png jpeg)

=== src/CMakeLists.txt ===
PROJECT(tercpp)

# 
# SET(tools_LIB_SRCS
#    tools.cpp
# )
# SET(xmlStructure_LIB_SRCS
#    xmlStructure.cpp
# )
# SET(alignmentStruct_LIB_SRCS
#    alignmentStruct.cpp
# )
# SET(terAlignment_LIB_SRCS
#    terAlignment.cpp
# )
# SET(stringHasher_LIB_SRCS
#    stringHasher.cpp
# )
# SET(stringInfosHasher_LIB_SRCS
#    stringInfosHasher.cpp
# )
# SET(infosHasher_LIB_SRCS
#    infosHasher.cpp
# )
# SET(hashMap_LIB_SRCS
#    hashMap.cpp
# )
# SET(tercalc_LIB_SRCS
#    tercalc.cpp
# )
# SET(hashMapInfos_LIB_SRCS
#    hashMapInfos.cpp
# )
# SET(hashMapStringInfos_LIB_SRCS
#    hashMapStringInfos.cpp
# )
# SET(terShift_LIB_SRCS
#    terShift.cpp
# )
# SET(segmentStructure_LIB_SRCS
#    segmentStructure.cpp
# )
# SET(tinyxml_LIB_SRCS
#    tinystr.cpp  tinyxml.cpp  tinyxmlerror.cpp  tinyxmlparser.cpp
# )
# SET(sgmlDocument_LIB_SRCS
#   sgmlDocument.cpp
# )
# SET(multiTxtDocument_LIB_SRCS
#   multiTxtDocument.cpp
# )
# SET(documentStructure_LIB_SRCS
#    documentStructure.cpp
# )
# SET(multiEvaluation_LIB_SRCS
#    multiEvaluation.cpp
# )
# 
# 
# add_library(tools  SHARED ${tools_LIB_SRCS})
# add_library(xmlStructure SHARED ${xmlStructure_LIB_SRCS})
# add_library(alignmentStruct  SHARED ${tools_LIB_SRCS})
# add_library(terAlignment  SHARED ${terAlignment_LIB_SRCS})
# add_library(stringHasher  SHARED ${stringHasher_LIB_SRCS})
# add_library(stringInfosHasher  SHARED ${stringInfosHasher_LIB_SRCS})
# add_library(infosHasher  SHARED ${infosHasher_LIB_SRCS})
# add_library(hashMap SHARED  ${hashMap_LIB_SRCS})
# add_library(tercalc SHARED  ${tercalc_LIB_SRCS})
# add_library(hashMapInfos SHARED  ${hashMapInfos_LIB_SRCS})
# add_library(hashMapStringInfos SHARED  ${hashMapStringInfos_LIB_SRCS})
# add_library(terShift SHARED  ${terShift_LIB_SRCS})
# add_library(tinyxml  SHARED ${tinyxml_LIB_SRCS})
# add_library(sgmlDocument SHARED ${sgmlDocument_LIB_SRCS})
# add_library(multiTxtDocument SHARED ${multiTxtDocument_LIB_SRCS})
# add_library(documentStructure SHARED ${documentStructure_LIB_SRCS})
# add_library(segmentStructure SHARED ${segmentStructure_LIB_SRCS})
# add_library(multiEvaluation SHARED ${multiEvaluation_LIB_SRCS})
# 
# target_link_libraries(alignmentStruct tools)
# target_link_libraries(hashMap stringHasher tools)
# target_link_libraries(hashMapInfos infosHasher tools)
# target_link_libraries(hashMapStringInfos stringInfosHasher tools)
# target_link_libraries(xmlStructure sgmlDocument tools tinyxml) 
# target_link_libraries(tercalc hashMap hashMapInfos terAlignment terShift tools alignmentStruct hashMapStringInfos)
# target_link_libraries(segmentStructure tercalc)
# target_link_libraries(documentStructure tools segmentStructure)
# target_link_libraries(sgmlDocument documentStructure tools)
# target_link_libraries(multiTxtDocument documentStructure tools)
# target_link_libraries(multiEvaluation multiTxtDocument xmlStructure)
# 
# set_target_properties(tinyxml PROPERTIES VERSION 0.2 SOVERSION 0)
# set_target_properties(segmentStructure PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(xmlStructure PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(alignmentStruct PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(tools PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(terShift PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(terAlignment PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(stringHasher PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(infosHasher PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(stringInfosHasher PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(hashMap PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(hashMapInfos PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(hashMapStringInfos PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(tercalc PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(sgmlDocument PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(multiTxtDocument PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(documentStructure PROPERTIES VERSION 0.1 SOVERSION 0)
# set_target_properties(multiEvaluation PROPERTIES VERSION 0.1 SOVERSION 0)
# 
# 
# install(TARGETS tercalc stringHasher stringInfosHasher hashMapStringInfos hashMap infosHasher hashMapInfos terAlignment terShift tools alignmentStruct xmlStructure segmentStructure sgmlDocument multiTxtDocument documentStructure tinyxml multiEvaluation DESTINATION lib)
# 
# 
# install(FILES tercalc.h stringHasher.h hashMap.h hashMapInfos.h infosHasher.h terAlignment.h terShift.h tools.h alignmentStruct.h bestShiftStruct.h stringInfosHasher.h hashMapStringInfos.h xmlStructure.h segmentStructure.h documentStructure.h tinystr.h multiTxtDocument.h sgmlDocument.h tinyxml.h multiEvaluation.h DESTINATION include)
#

=== test/CMakeLists.txt ===
PROJECT(tercpp)


include_directories(BEFORE ${CMAKE_SOURCE_DIR}/src)

SET(tercpp_SRCS
   main.cpp
   ${CMAKE_SOURCE_DIR}/src/tools.cpp
   ${CMAKE_SOURCE_DIR}/src/xmlStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/alignmentStruct.cpp
   ${CMAKE_SOURCE_DIR}/src/terAlignment.cpp
   ${CMAKE_SOURCE_DIR}/src/stringHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/stringInfosHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/infosHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMap.cpp
   ${CMAKE_SOURCE_DIR}/src/tercalc.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMapInfos.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMapStringInfos.cpp
   ${CMAKE_SOURCE_DIR}/src/terShift.cpp
   ${CMAKE_SOURCE_DIR}/src/segmentStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/tinystr.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxml.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxmlerror.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxmlparser.cpp
   ${CMAKE_SOURCE_DIR}/src/sgmlDocument.cpp
   ${CMAKE_SOURCE_DIR}/src/multiTxtDocument.cpp
   ${CMAKE_SOURCE_DIR}/src/documentStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/multiEvaluation.cpp
)

add_executable(tercpp.0.6.2 ${tercpp_SRCS})

#target_link_libraries(tercpp hashMapStringInfos tercalc hashMapInfos)
# target_link_libraries(tercpp tercalc xmlStructure documentStructure multiEvaluation)

install(TARGETS tercpp.0.6.2 DESTINATION bin)

=== debian/control ===
Source: tercpp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libtinyxml-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: text
Homepage: http://sourceforge.net/projects/tercpp/
Vcs-Browser: https://salsa.debian.org/debian/tercpp
Vcs-Git: https://salsa.debian.org/debian/tercpp.git

Package: libtercpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtercpp0v5 (= ${binary:Version}),
         libtinyxml-dev,
         ${misc:Depends},
Description: Translation Error Rate scoring tool - development files
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains development files for TERCpp.

Package: libtercpp0v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libtercpp0,
Replaces: libtercpp0,
Description: Translation Error Rate scoring tool - shared library
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains the library for TERCpp.

Package: tercpp
Architecture: any
Depends: libtercpp0v5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Translation Error Rate scoring tool - binary
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains the tercpp binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@


PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(DEB_SOURCE)
VER  = $(DEB_VERSION_UPSTREAM)

SVN_ADDR = https://svn.code.sf.net/p/tercpp/code/trunk/tercpp.0.6
SVN_REV := $(shell echo $(VER) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )

TARBALL = $(PKG)_$(VER).orig.tar.xz
.PHONY: get-orig-source
get-orig-source:
	rm -rf $(CURDIR)/get-orig-source $(TARBALL)
	mkdir $(CURDIR)/get-orig-source
	svn export -r $(SVN_REV) $(SVN_ADDR) $(CURDIR)/get-orig-source/$(PKG)-$(VER).orig
	# remove unneeded files
	cd $(CURDIR)/get-orig-source/$(PKG)-$(VER).orig && $(RM) -r \
		src/tinyxmlparser.cpp \
		src/tinyxmlerror.cpp \
		src/tinyxml.cpp \
		src/tinyxml.h \
		src/tinystr.cpp \
		src/tinystr.h \
		doc/art-servan-schwenk.pdf
	tar cjf $(TARBALL) -C $(CURDIR)/get-orig-source $(PKG)-$(VER).orig
	rm -rf $(CURDIR)/get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
